Page MenuHomePhabricator

Use baserevid in Senses editing
Closed, ResolvedPublic

Description

Same AC as in parent ticket

Event Timeline

alaa_wmde created this task.Mar 5 2019, 4:25 PM
Addshore triaged this task as Normal priority.Mar 5 2019, 4:27 PM

Change 497517 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[mediawiki/extensions/WikibaseLexeme@master] Use baserevid in Senses editing

https://gerrit.wikimedia.org/r/497517

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 19 2019, 4:35 PM
alaa_wmde added a comment.EditedMar 27 2019, 4:49 PM

This cane be merged even before T217243 right?

This cane be merged even before https://phabricator.wikimedia.org/T218115 right?

I don't know how these two tickets are dependent.

This cane be merged even before https://phabricator.wikimedia.org/T218115 right?

I don't know how these two tickets are dependent.

Wrong task sorry .. fixed

Then it should be fine, it would just gives a warning "unrecognized parameter" and ignores it like https://meta.wikimedia.org/w/api.php?action=antispoof&username=Foo&baserev=foo

WMDE-leszek added a subscriber: WMDE-leszek.

Requires the issue reported in T223207 to be fixed first.

Addshore moved this task from incoming to in progress on the Wikidata board.Jun 21 2019, 11:28 PM

Requires the issue reported in T223207 to be fixed first.

We have a decision now, stop sending it in wbladdsense but add baserevid in the rest.

Change 497517 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Use baserevid in Senses editing

https://gerrit.wikimedia.org/r/497517

alaa_wmde closed this task as Resolved.Tue, Oct 1, 2:47 PM